aboutgitcodebugslistschat
path: root/test/find-arm64-firmware.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/find-arm64-firmware.sh')
-rwxr-xr-xtest/find-arm64-firmware.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/find-arm64-firmware.sh b/test/find-arm64-firmware.sh
new file mode 100755
index 0000000..3182620
--- /dev/null
+++ b/test/find-arm64-firmware.sh
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+LOCATIONS="/usr/share/qemu-efi-aarch64 /usr/share/edk2/aarch64"
+
+for l in $LOCATIONS; do
+ if [ -f "$l/QEMU_EFI.fd" ]; then
+ ln -s "$l/QEMU_EFI.fd" "$1"
+ exit 0
+ fi
+done
+
+echo "Couldn't find QEMU_EFI.fd" >&2
+exit 1